HomeGuidesAPI Reference
API Reference

Get aggregated MOS statistics for multiple appliances

Retrieves aggregated MOS statistics for multiple appliances. Appliance IDs are provided in the request body. Note: tunnelName filter is not supported in POST method. Use format=csv to download results as CSV file.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64
required
≥ 0

Unix timestamp (seconds since epoch) for data range start. Must be >= 0 and less than endTime.

int64
required
≥ 0

Unix timestamp (seconds since epoch) for data range end. Must be >= 0 and greater than startTime.

string
enum
required

Time interval for data aggregation. Determines statistical granularity.

Allowed:
integer
≥ 1

Limit results to top N tunnels by MOS value.

string

Filter by overlay ID. Use '0' for physical tunnels only, omit for all tunnels, or specify overlay ID for bonded tunnels.

string
enum

Response format. Set to 'csv' for CSV file download, omit for JSON response.

Allowed:
boolean
Defaults to true

Group statistics by appliance. Adds nesting level by appliance in response.

Body Params

JSON object containing the list of appliance identifiers (nePks) to retrieve statistics for.

Request body containing the list of appliance identifiers.

nePks
array of objects
required

List of appliance identifiers (nePks).

nePks*
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized - Authentication required

403

Forbidden - Requires READ or READ_WRITE permission

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/vnd.ms-excel